> ## Documentation Index
> Fetch the complete documentation index at: https://ormilabs.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get NFT traits by collection

> Get a list of traits for a particular NFT address



## OpenAPI

````yaml get /somnia/v1/nft/collections/{address}/traits
openapi: 3.0.3
info:
  description: ''
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  title: Data API
  version: 1.0.0
servers:
  - description: The DEV base URL for the API
    url: https://data-api.cloud.ormi.dev
security: []
paths:
  /somnia/v1/nft/collections/{address}/traits:
    get:
      tags:
        - NFTs
      summary: Get NFT traits by collection
      description: Get a list of traits for a particular NFT address
      operationId: getNFTTraitsForAddress
      parameters:
        - description: Address of the NFT contract
          in: path
          name: address
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NFTTraitsResponse'
          description: NFT traits
components:
  schemas:
    NFTTraitsResponse:
      properties:
        contract_address:
          type: string
        traits:
          items:
            $ref: '#/components/schemas/NFTTrait'
          type: array
      required:
        - contract_address
        - traits
      type: object
    NFTTrait:
      properties:
        trait_type:
          type: string
        values:
          items:
            $ref: '#/components/schemas/NFTTraitValue'
          type: array
      required:
        - trait_type
        - values
      type: object
    NFTTraitValue:
      properties:
        count:
          format: int64
          type: integer
        percentage:
          format: double
          type: number
        value:
          type: string
      required:
        - value
      type: object

````